'''This is a sample script to check Broadcom SD driver(bScsiSDx.sys) creation date from a Windows 7 x86 system. '''
'''This script will set %errorlevel% to 1 if current driver is older than SD v1.0.0.2271. Otherwise it will set %errorlevel% to 0.
''' %errorlevel% = 1 //means SD driver upgrade is required
''' %errorlevel% = 0  //means SD driver upgrade is not needed


''' To run the vbscript in a cmd promt or a from within a batch script: "c:\cscript //nologo chkBrcmSDVersion_x86.vbs"
''' Cheers!! ----- B.T. '''

Dim objFso
Dim objTargetFile
Dim expectedFileDate
Dim currentFileDate


'''This is the creation date for SD driver bScsiSDa.sys version 1.0.0.2271.
expectedFileDate = CDate("05-03-2012 22:56:28")


Set objFso = WScript.CreateObject("Scripting.FilesystemObject")
Set objTargetFile = objFso.Getfile("C:\WINDOWS\system32\drivers\bScsiSDx.sys")

currentFileDate = objTargetFile.DateLastModified


'Wscript.Echo "current file date: " & currentFileDate
'Wscript.Echo "expected file date: " & expectedFileDate
If (currentFileDate < expectedFileDate) Then
	'Wscript.Echo "current file date is older than v1.0.0.2271"
	Wscript.Quit 1
Else
	'Wscript.Echo "current file date at least equal or newer v1.0.0.2271"
	Wscript.Quit 0
End If
	 




